OTBGUI_EDGEEXTRACTION(1)

NAME
otbgui_EdgeExtraction - OTB EdgeExtraction application

DESCRIPTION
This is the EdgeExtraction application, version 5.2.0 Computes edge features on every pixel of the input image selected channel

Complete documentation: http://www.orfeo-toolbox.org/Applications/EdgeExtraction.html

  Parameters:

-progress
    <boolean> Report progress

 -in <string> Input Image (mandatory)

-channel
    <int32> Selected Channel (mandatory, default value is 1)

-ram
    <int32> Available RAM (Mb) (optional, off by default, default value is 128)

-filter
    <string> Edge feature [gradient/sobel/touzi] (mandatory, default value is gradient)

-filter.touzi.xradius <int32>
    The X Radius (mandatory, default value is 1)

-filter.touzi.yradius <int32>
    The Y Radius (mandatory, default value is 1)

 -out <string> [pixel] Feature Output Image [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is float) (mandatory)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbgui_EdgeExtraction -in qb_RoadExtract.tif -channel 1 -out Edges.tif

SEE ALSO
The full documentation for otbgui_EdgeExtraction is maintained as a Texinfo manual. If the info and otbgui_EdgeExtraction programs are properly installed at your site, the command

    info otbgui_EdgeExtraction

should give you access to the complete manual.